org.keycloak.authentication

## Interface ValidationContext

- All Superinterfaces:
    FormContext

      public interface ValidationContext
      extends FormContext

  Interface that encapsulates the current validation that is being performed. Calling success() or validationError() sets the status of this current validation.
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `error(String error)`
    `void` | `excludeOtherErrors()` The error messages of this current validation will take precedence over any others.
    `void` | `success()` Mark this validation as sucessful
    `void` | `validationError(javax.ws.rs.core.MultivaluedMap<String,String> formData, List<FormMessage> errors)` Mark this validation as having a validation error

    - ### Methods inherited from interface org.keycloak.authentication.FormContext

      `getAuthenticationSession, getAuthenticatorConfig, getConnection, getEvent, getExecution, getHttpRequest, getRealm, getSession, getUriInfo, getUser, newEvent, setUser`

- - ### Method Detail

    - #### validationError

          void validationError(javax.ws.rs.core.MultivaluedMap<String,String> formData,
                               List<FormMessage> errors)

      Mark this validation as having a validation error
      Parameters:
        `formData` - form data you want to display when the form is refreshed
        `errors` - error messages to display on the form

    - #### error

          void error(String error)

    - #### success

          void success()

      Mark this validation as sucessful

    - #### excludeOtherErrors

          void excludeOtherErrors()

      The error messages of this current validation will take precedence over any others. Other error messages will not be shown. This is useful to prevent validation from leaking to an attacker. For example, the recaptcha validator calls this method so that usernames cannot be phished

Copyright © 2020 JBoss by Red Hat. All rights reserved.